Index: palm/trunk/SOURCE/data_output_module.f90
===================================================================
--- palm/trunk/SOURCE/data_output_module.f90	(revision 4146)
+++ palm/trunk/SOURCE/data_output_module.f90	(revision 4147)
@@ -2738,95 +2765,95 @@
 !> without variables).
 !--------------------------------------------------------------------------------------------------!
-FUNCTION cleanup_database() RESULT( return_value )
-
-   ! CHARACTER(LEN=*), PARAMETER ::  routine_name = 'cleanup_database'  !< name of routine
-
-   INTEGER ::  d             !< loop index
-   INTEGER ::  f             !< loop index
-   INTEGER ::  i             !< loop index
-   INTEGER ::  ndims         !< number of dimensions in a file
-   INTEGER ::  ndims_used    !< number of used dimensions in a file
-   INTEGER ::  nfiles_used   !< number of used files
-   INTEGER ::  nvars         !< number of variables in a file
-   INTEGER ::  return_value  !< return value
-
-   LOGICAL, DIMENSION(1:nfiles)             ::  file_is_used       !< true if file contains variables
-   LOGICAL, DIMENSION(:),       ALLOCATABLE ::  dimension_is_used  !< true if dimension is used by any variable
-
-   TYPE(dimension_type), DIMENSION(:), ALLOCATABLE ::  used_dimensions  !< list of used dimensions
-
-   TYPE(file_type), DIMENSION(:), ALLOCATABLE ::  used_files  !< list of used files
-
-
-   return_value = 0
-
-   !-- Flag files which contain output variables as used
-   file_is_used(:) = .FALSE.
-   DO  f = 1, nfiles
-      IF ( ALLOCATED( files(f)%variables ) )  THEN
-         file_is_used(f) = .TRUE.
-      ENDIF
-   ENDDO
-
-   !-- Copy flagged files into temporary list
-   nfiles_used = COUNT( file_is_used )
-   ALLOCATE( used_files(nfiles_used) )
-   i = 0
-   DO  f = 1, nfiles
-      IF ( file_is_used(f) )  THEN
-         i = i + 1
-         used_files(i) = files(f)
-      ENDIF
-   ENDDO
-
-   !-- Replace file list with list of used files
-   DEALLOCATE( files )
-   nfiles = nfiles_used
-   ALLOCATE( files(nfiles) )
-   files = used_files
-   DEALLOCATE( used_files )
-
-   !-- Check every file for unused dimensions
-   DO  f = 1, nfiles
-
-      !-- If a file is already initialized, it was already checked previously
-      IF ( files(f)%is_init )  CYCLE
-
-      !-- Get number of defined dimensions
-      ndims = SIZE( files(f)%dimensions )
-      ALLOCATE( dimension_is_used(ndims) )
-
-      !-- Go through all variables and flag all used dimensions
-      nvars = SIZE( files(f)%variables )
-      DO  d = 1, ndims
-         DO  i = 1, nvars
-            dimension_is_used(d) = &
-               ANY( files(f)%dimensions(d)%name == files(f)%variables(i)%dimension_names )
-            IF ( dimension_is_used(d) )  EXIT
-         ENDDO
-      ENDDO
-
-      !-- Copy used dimensions to temporary list
-      ndims_used = COUNT( dimension_is_used )
-      ALLOCATE( used_dimensions(ndims_used) )
-      i = 0
-      DO  d = 1, ndims
-         IF ( dimension_is_used(d) )  THEN
-            i = i + 1
-            used_dimensions(i) = files(f)%dimensions(d)
-         ENDIF
-      ENDDO
-
-      !-- Replace dimension list with list of used dimensions
-      DEALLOCATE( files(f)%dimensions )
-      ndims = ndims_used
-      ALLOCATE( files(f)%dimensions(ndims) )
-      files(f)%dimensions = used_dimensions
-      DEALLOCATE( used_dimensions )
-      DEALLOCATE( dimension_is_used )
-
-   ENDDO
-
-END FUNCTION cleanup_database
+ FUNCTION cleanup_database() RESULT( return_value )
+
+    ! CHARACTER(LEN=*), PARAMETER ::  routine_name = 'cleanup_database'  !< name of routine
+
+    INTEGER ::  d             !< loop index
+    INTEGER ::  f             !< loop index
+    INTEGER ::  i             !< loop index
+    INTEGER ::  ndims         !< number of dimensions in a file
+    INTEGER ::  ndims_used    !< number of used dimensions in a file
+    INTEGER ::  nfiles_used   !< number of used files
+    INTEGER ::  nvars         !< number of variables in a file
+    INTEGER ::  return_value  !< return value
+
+    LOGICAL, DIMENSION(1:nfiles)             ::  file_is_used       !< true if file contains variables
+    LOGICAL, DIMENSION(:),       ALLOCATABLE ::  dimension_is_used  !< true if dimension is used by any variable
+
+    TYPE(dimension_type), DIMENSION(:), ALLOCATABLE ::  used_dimensions  !< list of used dimensions
+
+    TYPE(file_type), DIMENSION(:), ALLOCATABLE ::  used_files  !< list of used files
+
+
+    return_value = 0
+!
+!-- Flag files which contain output variables as used
+    file_is_used(:) = .FALSE.
+    DO  f = 1, nfiles
+       IF ( ALLOCATED( files(f)%variables ) )  THEN
+          file_is_used(f) = .TRUE.
+       ENDIF
+    ENDDO
+!
+!-- Copy flagged files into temporary list
+    nfiles_used = COUNT( file_is_used )
+    ALLOCATE( used_files(nfiles_used) )
+    i = 0
+    DO  f = 1, nfiles
+       IF ( file_is_used(f) )  THEN
+          i = i + 1
+          used_files(i) = files(f)
+       ENDIF
+    ENDDO
+!
+!-- Replace file list with list of used files
+    DEALLOCATE( files )
+    nfiles = nfiles_used
+    ALLOCATE( files(nfiles) )
+    files = used_files
+    DEALLOCATE( used_files )
+!
+!-- Check every file for unused dimensions
+    DO  f = 1, nfiles
+!
+!--    If a file is already initialized, it was already checked previously
+       IF ( files(f)%is_init )  CYCLE
+!
+!--    Get number of defined dimensions
+       ndims = SIZE( files(f)%dimensions )
+       ALLOCATE( dimension_is_used(ndims) )
+!
+!--    Go through all variables and flag all used dimensions
+       nvars = SIZE( files(f)%variables )
+       DO  d = 1, ndims
+          DO  i = 1, nvars
+             dimension_is_used(d) = &
+                ANY( files(f)%dimensions(d)%name == files(f)%variables(i)%dimension_names )
+             IF ( dimension_is_used(d) )  EXIT
+          ENDDO
+       ENDDO
+!
+!--    Copy used dimensions to temporary list
+       ndims_used = COUNT( dimension_is_used )
+       ALLOCATE( used_dimensions(ndims_used) )
+       i = 0
+       DO  d = 1, ndims
+          IF ( dimension_is_used(d) )  THEN
+             i = i + 1
+             used_dimensions(i) = files(f)%dimensions(d)
+          ENDIF
+       ENDDO
+!
+!--    Replace dimension list with list of used dimensions
+       DEALLOCATE( files(f)%dimensions )
+       ndims = ndims_used
+       ALLOCATE( files(f)%dimensions(ndims) )
+       files(f)%dimensions = used_dimensions
+       DEALLOCATE( used_dimensions )
+       DEALLOCATE( dimension_is_used )
+
+    ENDDO
+
+ END FUNCTION cleanup_database
 
 !--------------------------------------------------------------------------------------------------!
@@ -2835,47 +2862,47 @@
 !> Open requested output file.
 !--------------------------------------------------------------------------------------------------!
-SUBROUTINE open_output_file( file_format, file_name, file_id, return_value )
-
-   CHARACTER(LEN=*), INTENT(IN) ::  file_format  !< file format chosen for file
-   CHARACTER(LEN=*), INTENT(IN) ::  file_name    !< name of file to be checked
-
-   CHARACTER(LEN=*), PARAMETER ::  routine_name = 'open_output_file'  !< name of routine
-
-   INTEGER, INTENT(OUT) ::  file_id              !< file ID
-   INTEGER              ::  output_return_value  !< return value of a called output routine
-   INTEGER, INTENT(OUT) ::  return_value         !< return value
-
-
-   return_value = 0
-   output_return_value = 0
-
-   SELECT CASE ( TRIM( file_format ) )
-
-      CASE ( 'binary' )
-         CALL binary_open_file( 'binary', file_name, file_id, output_return_value )
-
-      CASE ( 'netcdf4-serial' )
-         CALL netcdf4_open_file( 'serial', file_name, file_id, output_return_value )
-
-      CASE ( 'netcdf4-parallel' )
-         CALL netcdf4_open_file( 'parallel', file_name, file_id, output_return_value )
-
-      CASE DEFAULT
-         return_value = 1
-
-   END SELECT
-
-   IF ( output_return_value /= 0 )  THEN
-      return_value = output_return_value
-      CALL internal_message( 'error', routine_name // &
-                             ': error while opening file "' // TRIM( file_name ) // '"' )
-   ELSEIF ( return_value /= 0 )  THEN
-      CALL internal_message( 'error', routine_name //                     &
-                             ': file "' // TRIM( file_name ) //           &
-                             '": file format "' // TRIM( file_format ) // &
-                             '" not supported' )
-   ENDIF
-
-END SUBROUTINE open_output_file
+ SUBROUTINE open_output_file( file_format, file_name, file_id, return_value )
+
+    CHARACTER(LEN=*), INTENT(IN) ::  file_format  !< file format chosen for file
+    CHARACTER(LEN=*), INTENT(IN) ::  file_name    !< name of file to be checked
+
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'open_output_file'  !< name of routine
+
+    INTEGER, INTENT(OUT) ::  file_id              !< file ID
+    INTEGER              ::  output_return_value  !< return value of a called output routine
+    INTEGER, INTENT(OUT) ::  return_value         !< return value
+
+
+    return_value = 0
+    output_return_value = 0
+
+    SELECT CASE ( TRIM( file_format ) )
+
+       CASE ( 'binary' )
+          CALL binary_open_file( 'binary', file_name, file_id, output_return_value )
+
+       CASE ( 'netcdf4-serial' )
+          CALL netcdf4_open_file( 'serial', file_name, file_id, output_return_value )
+
+       CASE ( 'netcdf4-parallel' )
+          CALL netcdf4_open_file( 'parallel', file_name, file_id, output_return_value )
+
+       CASE DEFAULT
+          return_value = 1
+
+    END SELECT
+
+    IF ( output_return_value /= 0 )  THEN
+       return_value = output_return_value
+       CALL internal_message( 'error', routine_name // &
+                              ': error while opening file "' // TRIM( file_name ) // '"' )
+    ELSEIF ( return_value /= 0 )  THEN
+       CALL internal_message( 'error', routine_name //                     &
+                              ': file "' // TRIM( file_name ) //           &
+                              '": file format "' // TRIM( file_format ) // &
+                              '" not supported' )
+    ENDIF
+
+ END SUBROUTINE open_output_file
 
 !--------------------------------------------------------------------------------------------------!
@@ -2884,98 +2911,100 @@
 !> Initialize attributes, dimensions and variables in a file.
 !--------------------------------------------------------------------------------------------------!
-SUBROUTINE init_file_header( file, return_value )
-
-   ! CHARACTER(LEN=*), PARAMETER ::  routine_name = 'init_file_header'  !< name of routine
-
-   INTEGER              ::  a             !< loop index
-   INTEGER              ::  d             !< loop index
-   INTEGER, INTENT(OUT) ::  return_value  !< return value
-
-   TYPE(file_type), INTENT(INOUT) ::  file  !< initialize header of this file
-
-
-   return_value  = 0
-
-   !-- Write file attributes
-   IF ( ALLOCATED( file%attributes ) )  THEN
-      DO  a = 1, SIZE( file%attributes )
-         return_value = write_attribute( file%format, file%id, file%name,     &
-                                         variable_id=no_id, variable_name='', &
-                                         attribute=file%attributes(a) )
-         IF ( return_value /= 0 )  EXIT
-      ENDDO
-   ENDIF
-
-   IF ( return_value == 0 )  THEN
-
-      !-- Initialize file dimensions
-      DO  d = 1, SIZE( file%dimensions )
-
-         IF ( .NOT. file%dimensions(d)%is_masked )  THEN
-
-            !-- Initialize non-masked dimension
-            CALL init_file_dimension( file%format, file%id, file%name,       &
-                    file%dimensions(d)%id, file%dimensions(d)%name,          &
-                    file%dimensions(d)%data_type, file%dimensions(d)%length, &
-                    file%dimensions(d)%variable_id, return_value )
-
-         ELSE
-
-            !-- Initialize masked dimension
-            CALL init_file_dimension( file%format, file%id, file%name,            &
-                    file%dimensions(d)%id, file%dimensions(d)%name,               &
-                    file%dimensions(d)%data_type, file%dimensions(d)%length_mask, &
-                    file%dimensions(d)%variable_id, return_value )
-
-         ENDIF
-
-         IF ( return_value == 0  .AND.  ALLOCATED( file%dimensions(d)%attributes ) )  THEN
-            !-- Write dimension attributes
-            DO  a = 1, SIZE( file%dimensions(d)%attributes )
-               return_value = write_attribute( file%format, file%id, file%name, &
-                                 variable_id=file%dimensions(d)%variable_id,    &
-                                 variable_name=file%dimensions(d)%name,         &
-                                 attribute=file%dimensions(d)%attributes(a) )
-               IF ( return_value /= 0 )  EXIT
-            ENDDO
-         ENDIF
-
-         IF ( return_value /= 0 )  EXIT
-
-      ENDDO
-
-      !-- Save dimension IDs for variables wihtin database
-      IF ( return_value == 0 )  &
-         CALL collect_dimesion_ids_for_variables( file%name, file%variables, file%dimensions, &
-                                                  return_value )
-
-      !-- Initialize file variables
-      IF ( return_value == 0 )  THEN
-         DO  d = 1, SIZE( file%variables )
-
-            CALL init_file_variable( file%format, file%id, file%name,                          &
-                    file%variables(d)%id, file%variables(d)%name, file%variables(d)%data_type, &
-                    file%variables(d)%dimension_ids,                                           &
-                    file%variables(d)%is_global, return_value )
-
-            IF ( return_value == 0  .AND.  ALLOCATED( file%variables(d)%attributes ) )  THEN
-               !-- Write variable attributes
-               DO  a = 1, SIZE( file%variables(d)%attributes )
-                  return_value = write_attribute( file%format, file%id, file%name, &
-                                    variable_id=file%variables(d)%id,              &
-                                    variable_name=file%variables(d)%name,          &
-                                    attribute=file%variables(d)%attributes(a) )
-                  IF ( return_value /= 0 )  EXIT
-               ENDDO
-            ENDIF
-
-            IF ( return_value /= 0 )  EXIT
-
-         ENDDO
-      ENDIF
-
-   ENDIF
-
-END SUBROUTINE init_file_header
+ SUBROUTINE init_file_header( file, return_value )
+
+    ! CHARACTER(LEN=*), PARAMETER ::  routine_name = 'init_file_header'  !< name of routine
+
+    INTEGER              ::  a             !< loop index
+    INTEGER              ::  d             !< loop index
+    INTEGER, INTENT(OUT) ::  return_value  !< return value
+
+    TYPE(file_type), INTENT(INOUT) ::  file  !< initialize header of this file
+
+
+    return_value  = 0
+!
+!-- Write file attributes
+    IF ( ALLOCATED( file%attributes ) )  THEN
+       DO  a = 1, SIZE( file%attributes )
+          return_value = write_attribute( file%format, file%id, file%name,     &
+                                          variable_id=no_id, variable_name='', &
+                                          attribute=file%attributes(a) )
+          IF ( return_value /= 0 )  EXIT
+       ENDDO
+    ENDIF
+
+    IF ( return_value == 0 )  THEN
+!
+!--    Initialize file dimensions
+       DO  d = 1, SIZE( file%dimensions )
+
+          IF ( .NOT. file%dimensions(d)%is_masked )  THEN
+!
+!--          Initialize non-masked dimension
+             CALL init_file_dimension( file%format, file%id, file%name,       &
+                     file%dimensions(d)%id, file%dimensions(d)%name,          &
+                     file%dimensions(d)%data_type, file%dimensions(d)%length, &
+                     file%dimensions(d)%variable_id, return_value )
+
+          ELSE
+!
+!--          Initialize masked dimension
+             CALL init_file_dimension( file%format, file%id, file%name,            &
+                     file%dimensions(d)%id, file%dimensions(d)%name,               &
+                     file%dimensions(d)%data_type, file%dimensions(d)%length_mask, &
+                     file%dimensions(d)%variable_id, return_value )
+
+          ENDIF
+
+          IF ( return_value == 0  .AND.  ALLOCATED( file%dimensions(d)%attributes ) )  THEN
+!
+!--          Write dimension attributes
+             DO  a = 1, SIZE( file%dimensions(d)%attributes )
+                return_value = write_attribute( file%format, file%id, file%name, &
+                                  variable_id=file%dimensions(d)%variable_id,    &
+                                  variable_name=file%dimensions(d)%name,         &
+                                  attribute=file%dimensions(d)%attributes(a) )
+                IF ( return_value /= 0 )  EXIT
+             ENDDO
+          ENDIF
+
+          IF ( return_value /= 0 )  EXIT
+
+       ENDDO
+!
+!--    Save dimension IDs for variables wihtin database
+       IF ( return_value == 0 )  &
+          CALL collect_dimesion_ids_for_variables( file%name, file%variables, file%dimensions, &
+                                                   return_value )
+!
+!--    Initialize file variables
+       IF ( return_value == 0 )  THEN
+          DO  d = 1, SIZE( file%variables )
+
+             CALL init_file_variable( file%format, file%id, file%name,                          &
+                     file%variables(d)%id, file%variables(d)%name, file%variables(d)%data_type, &
+                     file%variables(d)%dimension_ids,                                           &
+                     file%variables(d)%is_global, return_value )
+
+             IF ( return_value == 0  .AND.  ALLOCATED( file%variables(d)%attributes ) )  THEN
+!
+!--             Write variable attributes
+                DO  a = 1, SIZE( file%variables(d)%attributes )
+                   return_value = write_attribute( file%format, file%id, file%name, &
+                                     variable_id=file%variables(d)%id,              &
+                                     variable_name=file%variables(d)%name,          &
+                                     attribute=file%variables(d)%attributes(a) )
+                   IF ( return_value /= 0 )  EXIT
+                ENDDO
+             ENDIF
+
+             IF ( return_value /= 0 )  EXIT
+
+          ENDDO
+       ENDIF
+
+    ENDIF
+
+ END SUBROUTINE init_file_header
 
 !--------------------------------------------------------------------------------------------------!
@@ -2984,61 +3013,61 @@
 !> Initialize dimension in file.
 !--------------------------------------------------------------------------------------------------!
-SUBROUTINE init_file_dimension( file_format, file_id, file_name,              &
-              dimension_id, dimension_name, dimension_type, dimension_length, &
-              variable_id, return_value )
-
-   CHARACTER(LEN=*), INTENT(IN) ::  dimension_name  !< name of dimension
-   CHARACTER(LEN=*), INTENT(IN) ::  dimension_type  !< data type of dimension
-   CHARACTER(LEN=*), INTENT(IN) ::  file_format     !< file format chosen for file
-   CHARACTER(LEN=*), INTENT(IN) ::  file_name       !< name of file
-
-   CHARACTER(LEN=*), PARAMETER ::  routine_name = 'init_file_dimension'  !< file format chosen for file
-
-   INTEGER, INTENT(OUT) ::  dimension_id         !< dimension ID
-   INTEGER, INTENT(IN)  ::  dimension_length     !< length of dimension
-   INTEGER, INTENT(IN)  ::  file_id              !< file ID
-   INTEGER              ::  output_return_value  !< return value of a called output routine
-   INTEGER, INTENT(OUT) ::  return_value         !< return value
-   INTEGER, INTENT(OUT) ::  variable_id          !< associated variable ID
-
-
-   return_value = 0
-   output_return_value = 0
-
-   temp_string = '(file "' // TRIM( file_name ) // &
-                 '", dimension "' // TRIM( dimension_name ) // '")'
-
-   SELECT CASE ( TRIM( file_format ) )
-
-      CASE ( 'binary' )
-         CALL binary_init_dimension( 'binary', file_id, dimension_id, variable_id, &
-                 dimension_name, dimension_type, dimension_length,                 &
-                 return_value=output_return_value )
-
-      CASE ( 'netcdf4-serial' )
-         CALL netcdf4_init_dimension( 'serial', file_id, dimension_id, variable_id, &
-                 dimension_name, dimension_type, dimension_length,                  &
-                 return_value=output_return_value )
-
-      CASE ( 'netcdf4-parallel' )
-         CALL netcdf4_init_dimension( 'parallel', file_id, dimension_id, variable_id, &
-                 dimension_name, dimension_type, dimension_length,                    &
-                 return_value=output_return_value )
-
-      CASE DEFAULT
-         return_value = 1
-         CALL internal_message( 'error', routine_name //                    &
-                                ': file format "' // TRIM( file_format ) // &
-                                '" not supported ' // TRIM( temp_string ) )
-
-   END SELECT
-
-   IF ( output_return_value /= 0 )  THEN
-      return_value = output_return_value
-      CALL internal_message( 'error', routine_name // &
-                             ': error while defining dimension ' // TRIM( temp_string ) )
-   ENDIF
-
-END SUBROUTINE init_file_dimension
+ SUBROUTINE init_file_dimension( file_format, file_id, file_name,              &
+               dimension_id, dimension_name, dimension_type, dimension_length, &
+               variable_id, return_value )
+
+    CHARACTER(LEN=*), INTENT(IN) ::  dimension_name  !< name of dimension
+    CHARACTER(LEN=*), INTENT(IN) ::  dimension_type  !< data type of dimension
+    CHARACTER(LEN=*), INTENT(IN) ::  file_format     !< file format chosen for file
+    CHARACTER(LEN=*), INTENT(IN) ::  file_name       !< name of file
+
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'init_file_dimension'  !< file format chosen for file
+
+    INTEGER, INTENT(OUT) ::  dimension_id         !< dimension ID
+    INTEGER, INTENT(IN)  ::  dimension_length     !< length of dimension
+    INTEGER, INTENT(IN)  ::  file_id              !< file ID
+    INTEGER              ::  output_return_value  !< return value of a called output routine
+    INTEGER, INTENT(OUT) ::  return_value         !< return value
+    INTEGER, INTENT(OUT) ::  variable_id          !< associated variable ID
+
+
+    return_value = 0
+    output_return_value = 0
+
+    temp_string = '(file "' // TRIM( file_name ) // &
+                  '", dimension "' // TRIM( dimension_name ) // '")'
+
+    SELECT CASE ( TRIM( file_format ) )
+
+       CASE ( 'binary' )
+          CALL binary_init_dimension( 'binary', file_id, dimension_id, variable_id, &
+                  dimension_name, dimension_type, dimension_length,                 &
+                  return_value=output_return_value )
+
+       CASE ( 'netcdf4-serial' )
+          CALL netcdf4_init_dimension( 'serial', file_id, dimension_id, variable_id, &
+                  dimension_name, dimension_type, dimension_length,                  &
+                  return_value=output_return_value )
+
+       CASE ( 'netcdf4-parallel' )
+          CALL netcdf4_init_dimension( 'parallel', file_id, dimension_id, variable_id, &
+                  dimension_name, dimension_type, dimension_length,                    &
+                  return_value=output_return_value )
+
+       CASE DEFAULT
+          return_value = 1
+          CALL internal_message( 'error', routine_name //                    &
+                                 ': file format "' // TRIM( file_format ) // &
+                                 '" not supported ' // TRIM( temp_string ) )
+
+    END SELECT
+
+    IF ( output_return_value /= 0 )  THEN
+       return_value = output_return_value
+       CALL internal_message( 'error', routine_name // &
+                              ': error while defining dimension ' // TRIM( temp_string ) )
+    ENDIF
+
+ END SUBROUTINE init_file_dimension
 
 !--------------------------------------------------------------------------------------------------!
@@ -3047,60 +3076,60 @@
 !> Initialize variable.
 !--------------------------------------------------------------------------------------------------!
-SUBROUTINE init_file_variable( file_format, file_id, file_name,        &
-                               variable_id, variable_name, variable_type, dimension_ids, &
-                               is_global, return_value )
-
-   CHARACTER(LEN=*), INTENT(IN) ::  file_format    !< file format chosen for file
-   CHARACTER(LEN=*), INTENT(IN) ::  file_name      !< file name
-   CHARACTER(LEN=*), INTENT(IN) ::  variable_name  !< name of variable
-   CHARACTER(LEN=*), INTENT(IN) ::  variable_type  !< data type of variable
-
-   CHARACTER(LEN=*), PARAMETER ::  routine_name = 'init_file_variable'  !< file format chosen for file
-
-   INTEGER, INTENT(IN)  ::  file_id              !< file ID
-   INTEGER              ::  output_return_value  !< return value of a called output routine
-   INTEGER, INTENT(OUT) ::  return_value         !< return value
-   INTEGER, INTENT(OUT) ::  variable_id          !< variable ID
-
-   INTEGER, DIMENSION(:), INTENT(IN) ::  dimension_ids  !< list of dimension IDs used by variable
-
-   LOGICAL, INTENT(IN)  ::  is_global  !< true if variable is global
-
-
-   return_value = 0
-   output_return_value = 0
-
-   temp_string = '(file "' // TRIM( file_name ) // &
-                 '", variable "' // TRIM( variable_name ) // '")'
-
-   SELECT CASE ( TRIM( file_format ) )
-
-      CASE ( 'binary' )
-         CALL binary_init_variable( 'binary', file_id, variable_id, variable_name, &
-                 variable_type, dimension_ids, is_global, return_value=output_return_value )
-
-      CASE ( 'netcdf4-serial' )
-         CALL netcdf4_init_variable( 'serial', file_id, variable_id, variable_name, &
-                 variable_type, dimension_ids, is_global, return_value=output_return_value )
-
-      CASE ( 'netcdf4-parallel' )
-         CALL netcdf4_init_variable( 'parallel', file_id, variable_id, variable_name, &
-                 variable_type, dimension_ids, is_global, return_value=output_return_value )
-
-      CASE DEFAULT
-         return_value = 1
-         CALL internal_message( 'error', routine_name //                    &
-                                ': file format "' // TRIM( file_format ) // &
-                                '" not supported ' // TRIM( temp_string ) )
-
-   END SELECT
-
-   IF ( output_return_value /= 0 )  THEN
-      return_value = output_return_value
-      CALL internal_message( 'error', routine_name // &
-                             ': error while defining variable ' // TRIM( temp_string ) )
-   ENDIF
-
-END SUBROUTINE init_file_variable
+ SUBROUTINE init_file_variable( file_format, file_id, file_name,        &
+                                variable_id, variable_name, variable_type, dimension_ids, &
+                                is_global, return_value )
+
+    CHARACTER(LEN=*), INTENT(IN) ::  file_format    !< file format chosen for file
+    CHARACTER(LEN=*), INTENT(IN) ::  file_name      !< file name
+    CHARACTER(LEN=*), INTENT(IN) ::  variable_name  !< name of variable
+    CHARACTER(LEN=*), INTENT(IN) ::  variable_type  !< data type of variable
+
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'init_file_variable'  !< file format chosen for file
+
+    INTEGER, INTENT(IN)  ::  file_id              !< file ID
+    INTEGER              ::  output_return_value  !< return value of a called output routine
+    INTEGER, INTENT(OUT) ::  return_value         !< return value
+    INTEGER, INTENT(OUT) ::  variable_id          !< variable ID
+
+    INTEGER, DIMENSION(:), INTENT(IN) ::  dimension_ids  !< list of dimension IDs used by variable
+
+    LOGICAL, INTENT(IN)  ::  is_global  !< true if variable is global
+
+
+    return_value = 0
+    output_return_value = 0
+
+    temp_string = '(file "' // TRIM( file_name ) // &
+                  '", variable "' // TRIM( variable_name ) // '")'
+
+    SELECT CASE ( TRIM( file_format ) )
+
+       CASE ( 'binary' )
+          CALL binary_init_variable( 'binary', file_id, variable_id, variable_name, &
+                  variable_type, dimension_ids, is_global, return_value=output_return_value )
+
+       CASE ( 'netcdf4-serial' )
+          CALL netcdf4_init_variable( 'serial', file_id, variable_id, variable_name, &
+                  variable_type, dimension_ids, is_global, return_value=output_return_value )
+
+       CASE ( 'netcdf4-parallel' )
+          CALL netcdf4_init_variable( 'parallel', file_id, variable_id, variable_name, &
+                  variable_type, dimension_ids, is_global, return_value=output_return_value )
+
+       CASE DEFAULT
+          return_value = 1
+          CALL internal_message( 'error', routine_name //                    &
+                                 ': file format "' // TRIM( file_format ) // &
+                                 '" not supported ' // TRIM( temp_string ) )
+
+    END SELECT
+
+    IF ( output_return_value /= 0 )  THEN
+       return_value = output_return_value
+       CALL internal_message( 'error', routine_name // &
+                              ': error while defining variable ' // TRIM( temp_string ) )
+    ENDIF
+
+ END SUBROUTINE init_file_variable
 
 !--------------------------------------------------------------------------------------------------!
